Kerbal Space Program - Bug #2046

new parts count cannot exceed 9 in research and development
01/23/2014 06:04 PM - Katateochi

Status: Not a Bug Start date: 01/23/2014
Severity: Low % Done: 0%
Assignee:

Category: Gameplay

Target version:

Version: 0.23 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

If you add a bunch of mods into an already unlocked tech tree then each node has a number showing the number of new parts for
that (already unlocked) node.

The problem is that the number does not go above 9, even if there are many more new parts for that node.
A couple of scr-shots to show what | mean.

http://i.imgur.com/eBgdgwi.jpg
In this pic the selected node (specialized control) has more than 19 new parts to be unlocked but the count just says 9.

http://i.imgur.com/R5Zdztt.jpg
This pic has 11 new part on the Heavy Aerodynamics node, the count is still 9.

If its less than 9 then the count is correct. | suspect that the display can only handle a single digit, but when running with several
mods this count will go into double digits. | doubt it would need to handle 3 digits but that would ensure even the most modded up
user gets the correct count.

- was not sure which category to add this to, i put it under science as it is to do with science research and there isn't a research
category.

History

#1 - 01/23/2014 08:02 PM - hermes47

Actually, there's a '+' sign next to the 9 when there are more than 9 parts to unlock. So this is accounted for. It is a little hard to see though, as it does
cross the outline of the circle.

#2 - 01/23/2014 08:22 PM - Katateochi

oh wow, I'd not seen that, Sorry! but tbh | had to zoom right in on my scr-shots to actually see it, maybe it should be made clearer.

#3 - 01/27/2014 05:43 AM - Ted
- Status changed from New to Not a Bug
- % Done changed from 0 to 100

Thanks, marked as Not a Bug.
Feel free to create a feedback issue for this, if you feel that it needs to be clearer.
